package com.hzs.bonus.base.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hzs.bonus.base.service.*;
import com.hzs.common.domain.member.base.*;
import com.hzs.common.domain.member.detail.CuMemberAwards;
import com.hzs.common.domain.member.ext.CuMemberSettleExt;
import com.hzs.bonus.base.mapper.CuMemberMapper;
import org.springframework.stereotype.Service;

import java.util.*;

/**
 * 会员 服务实现类
 */
@Service
public class CuMemberServiceImpl extends ServiceImpl<CuMemberMapper, CuMember> implements ICuMemberService {

    @Override
    public void updateCuMemberByTemp(List<CuMemberSettleExt> enoughAwardsMember) {
        baseMapper.updateCuMemberByTemp();
    }

    @Override
    public void updateBackCuMemberAward(List<CuMemberAwards> cuMemberAwards, Integer period) {
        baseMapper.updateBackCuMemberAward(period);
    }

    @Override
    public List<CuMember> queryCuMemberShareTotal(Integer pkCountry) {
        return baseMapper.queryCuMemberShareTotal(pkCountry);
    }

    @Override
    public void mergeCuMemberReSaleDate(Integer period) {
        baseMapper.mergeCuMemberReSaleDate(period);
    }

    @Override
    public void mergeBackCuMemberReSaleDate(Integer period) {
        baseMapper.mergeBackCuMemberReSaleDate(period);
    }
}
